Couldn't find some pkg-config packages

hi guys,
I new in the world the OF, I use ubuntu 16.04, want build the examples of OF. but the moment of build, I use buildAllExamples.sh for the build, I have the next output.

I followed the instruction web oficial OF, I executed the instrucions of page oficial, I think of error is PKG_CONFIG_PATH, but i dont know.

line of error

*** couldn’t find some pkg-config packages, did you run the latest install_dependencies.sh?. Stop.

Thanks for the help me.

UPGRADE
one,
i run of script install_dependencies.sh, no problem, (attached output script), but when i run compileOF.sh, I have the output:

*** couldn't find some pkg-config packages, did you run the latest install_dependencies.sh?.  Stop.

i find the .cp of :
zlib.
gstreamer-app-1.0 .
gstreamer-1.0.
gstreamer-video-1.0.
gstreamer-base-1.0 .
libudev .
freetype2.
fontconfig.
sndfile .
openal .
openssl.
libpulse-simple .
alsa .
gl .
glu
glew.
gtk±3.0 .
libmpg123.
with find /usr -name file.pc, file is cairo, zlib, etc.

then copy the all files, where are and the copy in /usr/pkgconfig.
after update PKG_CONFIG_PATH with
export PKG_CONFIG_PATH="$PKG_CONFIG_PATH:/usr/lib/pkgconfig/"

i reboot, but output its the same.
when i run compileOF.sh .

UPGRADE2

i find same problem in the next link:https://forum.openframeworks.cc/t/cant-get-of-compiled/14813 (the problem is a old version OF and SO fedora), but, is same to my problem.

i run the comand:
pkg-config cairo zlib gstreamer-app-0.10 gstreamer-0.10 gstreamer-video-0.10 gstreamer-base-0.10 libudev freetype2 fontconfig sndfile openal portaudio-2.0 openssl libpulse-simple alsa gl glu glew gtk+-2.0 libmpg123 --exists --print-errors

and had the next output:

> Package gstreamer-app-0.10 was not found in the pkg-config search path.
> Perhaps you should add the directory containing `gstreamer-app-0.10.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'gstreamer-app-0.10' found
> Package gstreamer-0.10 was not found in the pkg-config search path.
> Perhaps you should add the directory containing `gstreamer-0.10.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'gstreamer-0.10' found
> Package gstreamer-video-0.10 was not found in the pkg-config search path.
> Perhaps you should add the directory containing `gstreamer-video-0.10.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'gstreamer-video-0.10' found
> Package gstreamer-base-0.10 was not found in the pkg-config search path.
> Perhaps you should add the directory containing `gstreamer-base-0.10.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'gstreamer-base-0.10' found
> Package portaudio-2.0 was not found in the pkg-config search path.
> Perhaps you should add the directory containing `portaudio-2.0.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'portaudio-2.0' found

watching the output and suggestions, she say "add the directory containinggstreamer-video-0.10.pc’ "`, but, i have not installed gstreamer-video-0.10.pc, i have installed gstreamer-video-1.10.pc,
i know, because, i run the comand:

locate gstreamer-video-1.0 | grep '\.pc'

and , i had the next output:

/usr/lib/x86_64-linux-gnu/pkgconfig/gstreamer-video-1.0.pc

if, i execute :
locate gstreamer-video-0.10 | grep '\.pc'

the output is nothing.

now, what is the next step?

I hope you can help me.
thanks

1 Like

answer

i found the packetes gstream in synaptic , in librarys-develoment(universe) and select:
gstreamer0.10-plugins-base-dbg 0.10.###
gstreamer0.10-plugins-good-dbg 0.10.###
after, i select multimedia (universe) and
select:
gstreamer0.10-gconf 0.10.####
gstreamer0.10-pulseaudio 0.10###
gstreamer1.0-pocketsphix 0.8

finally execute sudo ./compileOF.sh in my path OF.

problem solved.

Thanks.